FREEFOAM-SPLITCELLS(1)

NAME
freefoam-splitCells - Utility to split cells with flat faces.

SYNOPSIS

freefoam splitCells <edge angle [0..360]> [-geometry] [-tol <tolerance>] [-srcDoc] [-doc] [-overwrite] [-help] [-set <cellSet name>] [-case <dir>]

DESCRIPTION

Uses a geometric cut with a plane dividing the edge angle into two so might produce funny cells. For hexes it will use by default a cut from edge onto opposite edge (i.e. purely topological).

Options: - split cells from cellSet only - use geometric cut for hexes as well

The angle is the angle between two faces sharing an edge as seen from inside each cell. So a cube will have all angles 90. If you want to split cells with cell centre outside use e.g. angle 200

OPTIONS

<edge angle [0..360]>
    TODO Detailed description of argument.

-geometry
    Geometry based splitting for hex cells.

-tol <tolerance>
    Edge snap tolerance.

-set <cellSet name>
    Cell set to split.

-overwrite
    Overwrite existing data.

-case <dir>
    Case directory.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.